Bug 979830 - Default config update for Drupal files
Default config update for Drupal files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php-bartlett-PHP-CompatInfo (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-30 19:39 EDT by Shawn Iwinski
Modified: 2013-07-27 15:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: php-bartlett-PHP-CompatInfo-2.19.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 20:51:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Iwinski 2013-06-30 19:39:35 EDT
Description of problem:
Drupal files are not parsed by default phpci

Version-Release number of selected component (if applicable):
All

How reproducible:
Run default phpci on any Drupal project source (ex: http://ftp.drupal.org/files/projects/domain-7.x-3.10.tar.gz)

Actual results:
Drupal *.module or *.install files are parsed by default phpci

Expected results:
Drupal *.module and *.install files are parsed by default phpci

Additional info:
Yes, users could update their /etc/pear/PHP_CompatInfo/phpcompatinfo.xml file, but soon I will be publishing new packaging guidelines for Drupal packages.  These new guidelines include a section about phpci requires which Drupal packagers are not used to and I would like to make things work out-of-the-box (i.e. default) for Drupal projects.

My update to PHP_CompatInfo-conf.patch would not have been based off of Git like yours so I am going to just list the requested change here:
fileExtensions="php, inc, phtml" ===> fileExtensions="php, inc, phtml, module, install"
Comment 1 Remi Collet 2013-07-01 07:26:19 EDT
Hmmm... I understand...

But why damn upstream don't use .php suffixe for php files ?

I will think if this have no bad effect (as trying to parse non php files in other projects)
Comment 2 Fedora Update System 2013-07-12 10:13:52 EDT
php-bartlett-PHP-CompatInfo-2.19.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-bartlett-PHP-CompatInfo-2.19.0-1.fc19
Comment 3 Fedora Update System 2013-07-12 10:17:43 EDT
php-bartlett-PHP-Reflect-1.7.0-1.fc18, php-bartlett-PHP-CompatInfo-2.19.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-bartlett-PHP-Reflect-1.7.0-1.fc18,php-bartlett-PHP-CompatInfo-2.19.0-1.fc18
Comment 4 Fedora Update System 2013-07-12 10:18:13 EDT
php-bartlett-PHP-CompatInfo-2.19.0-1.el6, php-bartlett-PHP-Reflect-1.7.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-bartlett-PHP-CompatInfo-2.19.0-1.el6,php-bartlett-PHP-Reflect-1.7.0-1.el6
Comment 5 Fedora Update System 2013-07-12 15:39:57 EDT
Package php-bartlett-PHP-CompatInfo-2.19.0-1.el6, php-bartlett-PHP-Reflect-1.7.0-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-bartlett-PHP-CompatInfo-2.19.0-1.el6 php-bartlett-PHP-Reflect-1.7.0-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10827/php-bartlett-PHP-CompatInfo-2.19.0-1.el6,php-bartlett-PHP-Reflect-1.7.0-1.el6
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-07-24 20:51:41 EDT
php-bartlett-PHP-Reflect-1.7.0-1.fc18, php-bartlett-PHP-CompatInfo-2.19.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-07-24 20:51:51 EDT
php-bartlett-PHP-CompatInfo-2.19.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-07-27 15:58:42 EDT
php-bartlett-PHP-CompatInfo-2.19.0-1.el6, php-bartlett-PHP-Reflect-1.7.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.